/********************************************************************************/
//
//	DoStuff.c
//
//	Part of a shell program, this is the file that will be changed to make it do
//	what it's suppossed to do.
//
/********************************************************************************/


#include	"DialogUtil.h"
#include	"DoStuff.h"
#include	"Utility.h"


//	Global variables


//	Prototypes


//	Routines that will be called by the other parts of this program:
//	(Each of these must be present, and their names must be unchanged)
//
//	InitializeStuff
//	DoToEachFile
//	DoToEachFolder
//	DoToSelFolder
//	DeInitializeStuff


/********************************************************************************/
//
//	InitializeStuff is a routine which gets called before anything else happens.
//	This allows the opportunity to set global variables, read preferences, etc.
//	that will affect how the other parts of this file behave.
//	
//	Expected to return true if initialization succeeded and we should continue
//	processing files.
//
/********************************************************************************/

Boolean	InitializeStuff( void )
{
//	Get the name of a text file from the user and create or open it.
//	Store the reference to it in a global variable for later use.

	
	return ( true );
}


/********************************************************************************/
//
//	DoToEachFile is a routine which is called for each file the recursion routine
//	encounters.
//
/********************************************************************************/

void	DoToEachFile( FSSpec fileSpec )
{

}


/********************************************************************************/
//
//	DoToEachFolder is a routine which is called for each file the recursion
//	routine encounters.
//
/********************************************************************************/

void	DoToEachFolder( FSSpec folderSpec )
{

}


/********************************************************************************/
//
//	If the user dropped a file on to the icon, after all calls to DoToEachFile
//	and DoToEachFolder are completed, DoToSelFile is called with a reference to
//	the file the user dropped.
//
/********************************************************************************/

void	DoToSelFile( FSSpec	fileSpec )
{

}


/********************************************************************************/
//
//	If the user selected a folder or dropped one on to the icon, after all calls
//	to DoToEachFile and DoToEachFolder are completed, DoToSelFolder is called with
//	a reference to the folder the user selected or dropped.
//
/********************************************************************************/

void	DoToSelFolder( FSSpec folderSpec )
{

}



/********************************************************************************/
//
//	DeInitializeStuff is a routine which is called after all the recursive stuff
//	is done.  It allows us to close up any files opened, release memory, etc.
//
/********************************************************************************/

void	DeInitializeStuff( void )
{

}


/********************************************************************************/
//
//	Misc. routines to support what this app needs to do go below here
//
/********************************************************************************/



